package de.tu_dresden.diplom.richter_mirko_mat2628335.common.result;

import org.apache.log4j.Logger;

/**
 * 
 */
public class BaseResult implements IFBaseResult{

   private static final Logger logger = Logger.getLogger(BaseResult.class);

   private int resultCode = UNKNOWN;
   private String resultMessage = null;

   public int getResultCode() {
      return resultCode;
   }

   public void setResultCode(int resultCode) {
      this.resultCode = resultCode;
   }

   public String getResultMessage() {
      return resultMessage;
   }

   public void setResultMessage(String resultMessage) {
      this.resultMessage = resultMessage;
   }

   public boolean isSuccess() {
      return getResultCode() == SUCCESS;
   }

   public boolean isFailure() {
      return getResultCode() == FAILURE;
   }

   public boolean isUnknown() {
      return getResultCode() == UNKNOWN;
   }

}
